apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName | quote }}
type: Opaque
stringData:
  {{- with .Values.smtp }}
  smtp-from-address: {{ .fromAddress | quote }}
  smtp-host: {{ .hostname | quote }}
  smtp-port: {{ .port | quote }}
  smtp-password: {{ .password | quote }}
  smtp-user: {{ .username | quote }}
  {{- end }}

  postgres-password: {{ .Values.backend.postgres.password | quote }}

  {{ with .Values.backend.azure }}
  azure-storage-account: {{ .account | quote }}
  azure-storage-url: {{ printf "https://%s.blob.core.windows.net" .account | quote }}
  azure-storage-container-name: {{ .container | quote }}
  azure-storage-sas-token: {{ .sasToken | quote }}
  azure-storage-client-id: {{ .clientId | quote }}
  azure-storage-tenant-id: {{ .tenantId | quote }}
  azure-storage-client-secret: {{ .clientSecret | quote }}
  {{ end }}

  jwt-secret: {{ .Values.backend.jwtSecret | quote }}
  admin-jwt-secret: {{ .Values.backend.adminJwtSecret | quote }}
  api-token-salt: {{ .Values.backend.apiTokenSalt | quote }}
  app-keys: {{ .Values.backend.appKeys | quote }}

  frontend-api-token: {{ .Values.frontend.apiToken | quote }}
  frontend-powerbi-clientid: {{ .Values.frontend.powerbi.clientId | quote }}
  frontend-powerbi-username: {{ .Values.frontend.powerbi.username | quote }}
  frontend-powerbi-password: {{ .Values.frontend.powerbi.password | quote }}
  frontend-powerbi-tenantid: {{ .Values.frontend.powerbi.tenantId | quote }}
  frontend-powerbi-clientsecret: {{ .Values.frontend.powerbi.clientSecret | quote }}
